/*
 * MenuJuego.h
 *
 *  Created on: 26/06/2011
 *      Author: antonio
 */

#ifndef MENUJUEGO_H_
#define MENUJUEGO_H_

#include <cstdlib>
#include <string>
#include "StdPijo.h"
#include "definitions.h"

using namespace STDP;

class MenuJuego {
private:
	StdPijo* stdp;
	int nivel;
	double tiempoJuego;
	int puntos;
	int minas;
	int margenIzq;
	int margenDer;
	int numMensajes;
public:
	MenuJuego(StdPijo&);
	virtual ~MenuJuego();
	void imprimirMenuJuegoStandard();
	void mostrarFinalPartidaStandard();
	void imprimirMenuJuegoHistoria(Color);
	void mostrarFinalPartidaHistoria(Color marcador);
	void mostrarFinalPartidaSupervivencia();
	void imprimirMenuJuegoSupervivencia();
	void mostrarFalloStandard();
	void mostrarFalloHistoria(Color marcador);
	void mostrarFalloSupervivencia();
	string mensajeDesolador();

	void imprimirTextoCentrado(string texto, int fila, Color color, Attribute atributo);
	void imprimirCharCentrado(char texto, int fila, Color color, Attribute atributo);

    void setMargen(int margen)
    {
        this->margenIzq = margen;
        this->margenDer = 80;
    }

    void setMinas(int minas)
    {
        this->minas = minas;
    }

    void setNivel(int nivel)
    {
        this->nivel = nivel;
    }

    void setTiempoJuego(double tiempoJuego)
    {
        this->tiempoJuego = tiempoJuego;
    }

    void setPuntos(int puntos){
    	this->puntos = puntos;
    }
};

#endif /* MENUJUEGO_H_ */
